org.apache.poi.hemf.record.emf

## Class HemfComment.EmfCommentDataGeneric

- java.lang.Object
- - org.apache.poi.hemf.record.emf.HemfComment.EmfCommentDataGeneric

- All Implemented Interfaces:
    GenericRecord, HemfComment.EmfCommentData
  Enclosing class:
    HemfComment

      public static class HemfComment.EmfCommentDataGeneric
      extends java.lang.Object
      implements HemfComment.EmfCommentData

  Private data is unknown to EMF; it is meaningful only to applications that know the format of the data and how to use it. EMR_COMMENT private data records MAY be ignored.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfCommentDataGeneric()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HemfComment.HemfCommentRecordType` | `getCommentRecordType()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `byte[]` | `getPrivateData()`
    `java.lang.String` | `getPrivateDataAsString()`
    `long` | `init(LittleEndianInputStream leis, long dataSize)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfComment.EmfCommentData

      `draw, getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfCommentDataGeneric

          public EmfCommentDataGeneric()

  - ### Method Detail

    - #### getCommentRecordType

          public HemfComment.HemfCommentRecordType getCommentRecordType()

      Specified by:
        `getCommentRecordType` in interface `HemfComment.EmfCommentData`

    - #### init

          public long init(LittleEndianInputStream leis,
                           long dataSize)
                    throws java.io.IOException

      Specified by:
        `init` in interface `HemfComment.EmfCommentData`
      Throws:
        `java.io.IOException`

    - #### getPrivateData

          public byte[] getPrivateData()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPrivateDataAsString

          public java.lang.String getPrivateDataAsString()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.